Subject: Re: [1.8.0] Tracking empty directories

From: Jared Hance <[email-masked]>
Date: Sat, 05 Feb 2011 17:37:13 -0500

> > - Implement the possibility to checkin empty directories next year, but allow
> > it only, if the user knows that this breaks backwards compatibility of the
> > repo. (Generate warning and require --commit-empty-directories option)
> 
> I don't know about this part though.
> 

I would say that if we are going to require an option, it should be
core.emptyDirectory , which would default to false. It would be much
more annoying than having to supply an option every time. I also
disagree with warning for this.